/*****************************               AIRPLANE with V-tail               **************************************/
// servo[7] is programmed with safty features to avoid motorstarts when ardu reset..
// All other servos go to center at reset..  Half throttle can be dangerus
// Only use servo[7] as motorcontrol if motor is used in the setup            */
if (!f.ARMED) {
	servo[7] = MINCOMMAND; // Kill throttle when disarmed
	} else {
	servo[7] = constrain(rcCommand[THROTTLE], conf.minthrottle, MAXTHROTTLE);
}
motor[0] = servo[7];

if(f.PASSTHRU_MODE){   // Direct passthru from RX
	servo[3] = rcCommand[ROLL];     //   Wing 1
	servo[4] = rcCommand[ROLL];     //   Wing 2
	// 5 -   
	servo[5] = (SERVODIR(5,1) * rcCommand[PITCH]) - (SERVODIR(5,2) * rcCommand[YAW]);
	// 6 -   
	servo[6] = (SERVODIR(6,1) * rcCommand[PITCH]) + (SERVODIR(6,2) * rcCommand[YAW]);
	
	} else {
	// Assisted modes (gyro only or gyro+acc according to AUX configuration in Gui
	servo[3] = axisPID[ROLL];   //   Wing 1
	servo[4] = axisPID[ROLL];   //   Wing 2
	
	servo[5] = (SERVODIR(5,1) * axisPID[PITCH]) - (SERVODIR(5,2) * axisPID[YAW]);
	servo[6] = (SERVODIR(6,1) * axisPID[PITCH]) + (SERVODIR(6,2) * axisPID[YAW]);
}
for(i=3;i<7;i++) {
	servo[i]  = ((int32_t)conf.servoConf[i].rate * servo[i])/100L;  // servo rates
	servo[i] += get_middle(i);
}